Realman_change_lips - Audio To Video - gptproto
Realman_change_lips — Audio To Video (gptproto). GPTProto API reference.
POST
/
api
/
v3
/
bytedance
/
realman_change_lips
/
audio-to-video
realman-change-lips (audio to video)
curl --request POST \
--url https://api.example.com/api/v3/bytedance/realman_change_lips/audio-to-videoimport requests
url = "https://api.example.com/api/v3/bytedance/realman_change_lips/audio-to-video"
response = requests.post(url)
print(response.text)const options = {method: 'POST'};
fetch('https://api.example.com/api/v3/bytedance/realman_change_lips/audio-to-video', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
BytePlus’s GPTProto format for the audio to video API.
curl --location 'https://gptproto.com/api/v3/bytedance/realman_change_lips/audio-to-video' \
--header 'Authorization: YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"url": "https://d1q70pf5vjeyhc.cloudfront.net/predictions/80ab53675b544f058826918526090b78/1.mp4",
"pure_audio_url": "https://heyoo.oss-ap-southeast-1.aliyuncs.com/ai/api45003a21-b355-4214-877d-a83d2fd92858.mp3"
}'
import requests
import json
url = "https://gptproto.com/api/v3/bytedance/realman_change_lips/audio-to-video"
headers = {
"Authorization": "YOUR_API_KEY",
"Content-Type": "application/json"
}
data = {
"url": "https://d1q70pf5vjeyhc.cloudfront.net/predictions/80ab53675b544f058826918526090b78/1.mp4",
"pure_audio_url": "https://heyoo.oss-ap-southeast-1.aliyuncs.com/ai/api45003a21-b355-4214-877d-a83d2fd92858.mp3"
}
response = requests.post(url, headers=headers, json=data)
result = response.json()
print(json.dumps(result, indent=2))
const url = "https://gptproto.com/api/v3/bytedance/realman_change_lips/audio-to-video";
const headers = {
"Authorization": "YOUR_API_KEY",
"Content-Type": "application/json"
};
const data = {
"url": "https://d1q70pf5vjeyhc.cloudfront.net/predictions/80ab53675b544f058826918526090b78/1.mp4",
"pure_audio_url": "https://heyoo.oss-ap-southeast-1.aliyuncs.com/ai/api45003a21-b355-4214-877d-a83d2fd92858.mp3"
};
fetch(url, {
method: "POST",
headers: headers,
body: JSON.stringify(data)
})
.then(response => response.json())
.then(data => console.log(data))
.catch(error => console.error("Error:", error));
package main
import (
"bytes"
"encoding/json"
"fmt"
"io/ioutil"
"net/http"
)
func main() {
url := "https://gptproto.com/api/v3/bytedance/realman_change_lips/audio-to-video"
payload := []byte(`{
"url": "https://d1q70pf5vjeyhc.cloudfront.net/predictions/80ab53675b544f058826918526090b78/1.mp4",
"pure_audio_url": "https://heyoo.oss-ap-southeast-1.aliyuncs.com/ai/api45003a21-b355-4214-877d-a83d2fd92858.mp3"
}`)
req, _ := http.NewRequest("POST", url, bytes.NewBuffer(payload))
req.Header.Set("Authorization", "YOUR_API_KEY")
req.Header.Set("Content-Type", "application/json")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
body, _ := ioutil.ReadAll(resp.Body)
fmt.Println(string(body))
}
{
"error": {
"message": "Invalid signature",
"type": "401"
}
}
{
"error": {
"message": "Insufficient balance",
"type": "403"
}
}
{
"error": {
"message": "Internal server error",
"type": "500"
}
}
{
"error": {
"message": "Input may not meet the guidelines. Please adjust and try again.",
"type": "503"
}
}
Parameters
| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
url | string | ✅ Yes | https://d1q70pf5vjeyhc.cloudfront.net/predictions/80ab53675b544f058826918526090b78/1.mp4 | The video URL to apply lip-sync to. |
pure_audio_url | string | ✅ Yes | https://heyoo.oss-ap-southeast-1.aliyuncs.com/ai/api45003a21-b355-4214-877d-a83d2fd92858.mp3 | The audio URL to sync with the video. |
dreamina-seedance-2-0-fast-260128 (Text To Video)
Previous
Seedance-1-0-Lite-I2v-250428 - Image To Video - gptproto
Next
⌘I

